.section-container {
    max-width: calc(100% - 200px);
    margin: auto;
    padding-block: 80px;
}

@media (max-width:1024px) {
    .section-container {
        max-width: calc(100% - 40px);
        padding-block: 40px;
    }
}

.header-search-input {
    display: block;
    max-width: calc(100% - 160px);
    margin: auto;
}

#page-title h1 {
    text-transform: capitalize;
    margin-bottom: 0;
}

.header-search-input .input_fields {
    position: sticky;
    top: 0;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 10px;
}

    .header-search-input .input_fields > * {
        flex: 1;
    }

button.br {
    cursor:pointer
}

button.br.active {
    background: black;
    color: white;
}

cap {
    text-transform: capitalize
}

.selectize-input::after {
    display: none;
}

.selectize-input.focus.input-active {
    box-shadow: none;
    border-color: none;
}

.selectize-input, .selectize-input.dropdown-active {
    border-radius: 50px;
}

.header-filters .selectize-dropdown {
    width: max-content !important;
    min-width: max-content !important;
}

.header-filters-container {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 20px;
    max-width: calc(100% - 160px);
    margin: auto;
    margin-top: 40px;
    justify-content: space-between;
}

.top-filters {
    padding-block: 40px;
    border-bottom: 1px solid #96969640;
    position: sticky;
    top: 0;
    background: white;
    z-index: 10;
}

.header-filters {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 20px;
}

.selectize-control {
    line-height: 1;
    max-width: 100%;
    width: 100%;
}

.selectize-input,
.selectize-input.dropdown-active {
    display: block;
    border: 1px solid #96969640;
    border-radius: 50px;
    padding: 8px 20px;
    color: black;
    font-size: 14px;
    line-height: 2.5;
    font-family: inherit;
    transition: all .5s ease;
}

.selectize-dropdown {
    background-color: #fff;
    border-radius: 12px;
    border: 1px solid #eee;
    color: #121212;
    top: 110% !important;
    width: 100%;
    padding-block: 12px;
    padding-inline: 0;
}

.selectize-dropdown-content > * {
    padding: 10px 16px !important;
}

    .selectize-dropdown-content > *:hover {
        background-color: #12121233;
    }

.find-btn {
    display: flex;
    gap: 6px;
    align-items: center;
    justify-content: center;
    padding: 18px 32px;
    font-size: 14px;
    font-family: inherit;
    background-color: #121212;
    color: white;
    border: 0;
    border-radius: 50px;
    max-width: -webkit-fill-available;
}

@media (max-width:1024px) {
    .header-search-input, .header-filters-container {
        max-width: calc(100% - 40px);
    }

    .header-filters-container {
        flex-direction: column;
    }

    .filter-dropdown-button {
        position: unset;
    }

        .filter-dropdown-button ul {
            display: block;
            top: auto;
            bottom: -100%;
            left: 10px;
            width: calc(100% - 20px);
            border-bottom: 10px solid black;
            border-bottom-right-radius: 0px;
            border-bottom-left-radius: 0px;
            transition: all .5s ease-in-out;
        }

    .find-btn {
        width: 100%;
    }
}

.entry-title {
    display: grid;
    grid-template-columns: 8fr 2fr;
    align-items: center;
    padding-bottom: 20px;
    padding-top: 40px;
}

p.breadcrumbs {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    line-height: 1;
    text-transform: capitalize;
    align-items: center;
}

    p.breadcrumbs select {
        transition: all .3s ease-in-out;
        opacity: .3;
        border: 1px solid #12121233;
        width: 20px
    }

        p.breadcrumbs select:hover {
            opacity: 1
        }

.entry-title h1 {
    font-size: max(14px, 1.5vw);
}

.entry-title .sort-filter {
    justify-self: end;
}

    .entry-title .sort-filter select {
        padding: 8px 5px;
        cursor: pointer;
    }

@media (max-width:768px) {
    .entry-title .sort-filter {
        display: none;
    }

    p.breadcrumbs {
        gap: 5px;
    }
}

.listing-container {
    display: grid;
    padding-top: 0;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 24px;
    padding-bottom: 0;
}

    .listing-container .expanded-listing-grid {
        grid-column: span 3;
        border-radius: 16px;
        padding: 30px;
        width: 100%;
        background-color: #f1f1ff;
        margin-block: 10px 0;
    }

@media (max-width:1024px) {
    .listing-container {
        grid-template-columns: 1fr 1fr;
    }

        .listing-container .expanded-listing-grid {
            grid-column: span 2;
        }
}

@media (max-width:768px) {
    .listing-container {
        grid-template-columns: 1fr;
    }

        .listing-container .expanded-listing-grid {
            grid-column: auto;
            padding: 40px 20px;
        }
}

.listing-item {
    opacity: 0;
    transform: translateY(20px);
    transition: opacity .8s ease-in-out, transform .8s ease-in-out;
    border-radius: 12px;
    border: 1px solid #96969640;
    overflow: hidden;
    animation: fadeUp .5s ease-in-out forwards;
    animation-timeline: view();
    animation-range: entry;
}

@keyframes fadeUp {
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

.listing-item img {
    width: 100%;
    height: auto;
    aspect-ratio: 3/2;
    margin-bottom: 20px;
    border-radius: 12px 12px 0 0;
}

.listing-item .listing-header, .listing-item .listing-footer {
    padding-inline: 15px;
    padding-bottom: 15px;
}

.listing-item .price {
    font-weight: bold;
    font-size: 20px;
    line-height: 1;
    margin: 0;
    margin-bottom: 5px;
    color: #4336FF;
}

.listing-item h3 {
    font-size: 14px;
    line-height: 1.2;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
    color:#262626
}

@media (max-width:768px) {
    .listing-item h3 {
        font-size: 14px;
    }
}

.listing-item .location {
    font-size: 14px;
    margin: 0;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    overflow: hidden;
    -webkit-box-orient: vertical;
    font-weight: 400;
}

.listing-item .listing-footer {
    display: flex;
    gap: 20px;
    font-size: 14px;
    border-top: 2px solid #96969640;
    margin-top: 10px;
    padding-block: 15px;
    justify-content: space-between;
}

    .listing-item .listing-footer .listing-info {
        font-size: 14px;
        display: flex;
        align-items: center;
        gap: 8px;
    }

.listing-container ul.expanded-grid {
    display: flex;
    flex-wrap: wrap;
    list-style: none;
    gap: 12px;
    padding: 0;
}

    .listing-container ul.expanded-grid li a {
        display: block;
        padding: 12px 20px;
        border-radius: 50px;
        border: 1px solid #E8E8E8;
        transition: all .3s ease-in-out;
    }

        .listing-container ul.expanded-grid li a:hover {
            background-color: black;
            color: white;
        }

.pagination-section {
    padding-block: 40px;
}

.pagination {
    display: flex;
    flex-wrap: wrap;
    gap: 5px;
    padding: 0;
    list-style: none;
    align-items: center;
    justify-content: center;
}

    .pagination li a {
        display: flex;
        align-items: center;
        border-radius: 4px;
        line-height: 1;
        padding: 10px 15px;
        border: 1px solid #F1F1F1;
        transition: all .3s ease-in-out;
    }

        .pagination li a:hover {
            background-color: #12121226;
            border-color: black;
        }

        .pagination li a.current-page {
            background-color: black;
            color: white;
        }

.related-areas {
    background-color: #f1f1ff;
}

    .related-areas .section-container {
        padding-block: 20px 40px;
    }

.related-area-list {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
}

@media (max-width:1024px) {
    .related-area-list {
        grid-template-columns: repeat(2, 1fr);
    }

    .top-filters {
        position: unset;
    }
}

@media (max-width:768px) {
    .related-area-list {
        grid-template-columns: 1fr;
    }
}

.related-area-list .related-area-item {
    position: relative;
}

    .related-area-list .related-area-item::after {
        content: "";
        position: absolute;
        inset: 0;
        background: linear-gradient(180deg, rgba(0, 0, 0, 0) 46.28%, #000000 100%);
        border-radius: 8px;
        z-index: 9;
    }

.related-area-list a {
    color: white !important;
}

.related-area-list .related-area-item img {
    width: 100%;
    height: 204px;
    object-fit: cover;
    border-radius: 8px;
}

.related-area-list .related-area-item .related-item-header {
    position: absolute;
    background-color: #00000066;
    backdrop-filter: blur(5px);
    top: 10px;
    left: 0;
    border-radius: 0 8px 8px 0;
    padding: 6px 24px 6px 24px;
}

.related-area-list .related-area-item .related-item-footer {
    display: flex;
    flex-direction: column;
    gap: 10px;
    align-items: center;
    justify-content: space-between;
    position: absolute;
    bottom: 16px;
    width: 100%;
    z-index: 999;
    padding-inline: 16px;
}

    .related-area-list .related-area-item .related-item-footer h3 {
        font-size: 18px;
        line-height: 1;
        margin: 0;
    }

article.section-container.content-container {
    margin-block: 50px;
    padding: 30px 50px;
    background-color: #e1e8ed;
    border-radius: 12px;
}

@media (max-width:768px) {
    article.section-container.content-container {
        margin-block: 40px;
        padding: 20px;
    }
}

article .entry-content * {
    font-family: "Montserrat", sans-serif;
    ;
}

article .entry-content img {
    border-radius: 12px;
    width: 100%;
    height: auto;
}

.entry-content h1, .entry-content h2, .entry-content h3, .entry-content h4, .entry-content h5, .entry-content h6 {
    margin-block: 0.8em;
}

.entry-content li {
    line-height: 2;
}

.entry-content a {
    color: #4336FF;
}


.category-grid-container {
    padding: 0;
    border-radius: 16px;
    padding: 30px 40px;
    width: 100%;
    background-color: #f1f1ff;
    margin-bottom: 30px;
    color: #00000050;
}

.category-grid {
    padding: 0;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: .5rem;
    list-style: none;
}

    .category-grid .hidden {
        display: none;
    }

    .category-grid a {
        color: black !important;
        text-transform: capitalize;
    }

.category-grid-container button {
    float: right;
    appearance: none;
    -moz-appearance: none;
    -webkit-appearance: none;
    background-color: unset;
    border: unset;
    color: #4336FF;
    font-weight: bolder;
    font-size: 14px;
}

    .category-grid-container button::after {
        display: inline-flex;
        content: url('data:image/svg+xml, <svg width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M13.2802 5.9668L8.93355 10.3135C8.42021 10.8268 7.58022 10.8268 7.06688 10.3135L2.72021 5.9668" stroke="%234336FF" stroke-width="1.5" stroke-miterlimit="10" stroke-linecap="round" stroke-linejoin="round"/></svg>');
        vertical-align: baseline;
        margin-left: .2em;
    }

    .category-grid-container button:is([data-show-all="true"])::after {
        transform: rotate(180deg);
    }

@media (max-width:1024px) {
    .category-grid {
        display: flex;
        flex-wrap: wrap;
    }

        .category-grid li {
            padding-right: 1em;
        }
}

.search_input .selectize-input {
    min-width: 30vw !important;
}

@media (max-width:1024px) {
    .header-search-input .input_fields {
        display: flex;
    }

    .header-search-input .selectize-input {
        display: block;
    }

    .search_input .selectize-input {
        min-width: calc(100vw - 40px) !important;
    }

    .city_input, .search_input, .city_input input, .search_input input {
        max-width: 100% !important;
    }

    .ez_input_field {
        max-width: calc(33% - 10px);
    }

        .ez_input_field input, .ez_input_field .selectize-input > * {
            white-space: nowrap;
            text-overflow: ellipsis;
        }

    .selectize-input, .selectize-input.dropdown-active {
        padding: 5px 20px;
    }
}


.dropdown {
    position: relative;
    display: inline-block;
}

    .dropdown span {
        width: 100%;
        display: block;
        border: 1px solid #e5e5e5;
        padding: 16px;
        border-radius: 44px;
        cursor: pointer;
    }

        .dropdown span svg {
            position: absolute;
            right: 10px;
        }

    .dropdown.active span svg {
        position: absolute;
        right: 10px;
        transform: rotate(180deg)
    }

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 300px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    padding: 20px 15px;
    z-index: 1;
    margin-top: 10px;
    border-radius: 5px;
}

    .dropdown-content button, .dropdown-content input {
        border: 1px solid #bfb7b7;
        border-radius: 3px;
    }

    .dropdown-content input {
        padding: 5px 10px;
    }

.dropdown.active .dropdown-content {
    display: block;
}
